package com.zbf.system.service;
import com.zbf.system.domain.InventoryCheck;

import java.util.List;

/**
 * 盘点主Service接口
 *
 * @author tony
 * @date 2024-10-31
 */
public interface IInventoryCheckService
{
    /**
     * 查询盘点主
     *
     * @param id 盘点主主键
     * @return 盘点主
     */
    public InventoryCheck selectInventoryCheckById(Long id);

    /**
     * 查询盘点主列表
     *
     * @param inventoryCheck 盘点主
     * @return 盘点主集合
     */
    public List<InventoryCheck> selectInventoryCheckList(InventoryCheck inventoryCheck);

    /**
     * 新增盘点主
     *
     * @param inventoryCheck 盘点主
     * @return 结果
     */
    public int insertInventoryCheck(InventoryCheck inventoryCheck);

    /**
     * 修改盘点主
     *
     * @param inventoryCheck 盘点主
     * @return 结果
     */
    public int updateInventoryCheck(InventoryCheck inventoryCheck);

    /**
     * 批量删除盘点主
     *
     * @param ids 需要删除的盘点主主键集合
     * @return 结果
     */
    public int deleteInventoryCheckByIds(Long[] ids);

    /**
     * 删除盘点主信息
     *
     * @param id 盘点主主键
     * @return 结果
     */
    public int deleteInventoryCheckById(Long id);

    /**
     * 批量禁用盘点主
     *
     * @param ids 需要禁用的盘点主主键集合
     * @return 结果
     */
    public int disabledInventoryCheckByIds(Long[] ids);

    /**
     * 批量启用盘点主
     *
     * @param ids 需要启用的盘点主主键集合
     * @return 结果
     */
    public int enableInventoryCheckByIds(Long[] ids);

    /**
     * 改变状态
     *
     * @param inventoryCheck
     * @return 结果
     */
    public int updateStatus(InventoryCheck inventoryCheck);
}

